#import "FlulmAuthPlugin.h"

@implementation FlulmAuthPlugin


BOOL isWeChatRegistered = NO;



+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"com.awesome/flulm_auth"
            binaryMessenger:[registrar messenger]];
  FlulmAuthPlugin* instance = [[FlulmAuthPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  }else if ([@"registerApp" isEqualToString:call.method]) {
      printf("registerApp==>");
     result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
   } else if ([@"sendAuth" isEqualToString:call.method]) {
     printf("sendAuth==>");
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  }else if ([@"isLemaPayInstalled" isEqualToString:call.method]) {
     printf("call isLemaPayInstalled====");
      result(@YES);
  }else if ([@"isLemaPaySupportAPI" isEqualToString:call.method]) {
     printf("call isLemaPaySupportAPI===");
      result(@YES);
      return;
//      result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  }else {
    result(FlutterMethodNotImplemented);
  }
}

@end
