import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flulm_auth/flulm_auth.dart';

void main() {
  const MethodChannel channel = MethodChannel('flulm_auth');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await FlulmAuth.platformVersion, '42');
  });
}
